<!--suppress CheckEmptyScriptTag -->
<template>
  <div
    class="d-flex flex-md-column text-center"
    style="align-items: center"
  >
    <div>
      <h2>By line</h2>
      <ul
        style="list-style: none"
        class="d-flex mt-2 pl-0"
      >
        <li
          v-for="line of getLines"
          :key="`link-${line.id}`"
        >
          <router-link
            :to="{ name: 'line', params: { lineId: line.id }}"
          >
            <metrocheck-svg-line-number
              :id="line.id"
              style="height: 32px; width: 32px; font-size: 64px; margin-left: 10px"
              :color="line.color"
            />
          </router-link>
        </li>
      </ul>
    </div>
  </div>
</template>

<script>
  import MetrocheckSvgLineNumber from '../../../components/SvgLineNumber'
  import { mapGetters } from 'vuex'
  export default {
    name: 'MetrocheckStatsGeneral',

    components: { MetrocheckSvgLineNumber },

    computed: {
      ...mapGetters(['getLines']),
    },
  }
</script>

<style scoped>

</style>
